Name:           smeg
Version:        0.7.5
Release:        3%{?dist}
Summary:        Simple menu editor for GNOME

Group:          Applications/System
License:        GPL
URL:            http://www.realistanew.com/projects/smeg/
Source0:        http://dev.realistanew.com/smeg/%{version}/%{name}-%{version}.tar.gz
Patch0:         smeg-usr.patch 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires: 	desktop-file-utils 
Requires:       python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
Requires: 	pyxdg >= 0.14
Requires: 	pygtk2, gnome-menus, gnome-python2-gconf 

%description
Smeg is a menu editor for GNOME that lets you get things done,
simply and quickly. 

Just click and type to edit, add, and delete any menu entry.

%prep
%setup -q -n %{name}-%{version}
# move to /usr/share
%patch0 -p1

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --skip-build --root=$RPM_BUILD_ROOT

# move from /usr/lib(64) to /usr/share
cp %{_builddir}/smeg-%{version}/lib/smeg/* $RPM_BUILD_ROOT%{_datadir}/smeg

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications      \
  --add-category X-Fedora                              \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications      \
  --add-category X-Fedora                              \
  $RPM_BUILD_ROOT%{_datadir}/applications/smeg-kde.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README AUTHORS COPYING
%{_bindir}/*
%{_datadir}/smeg
%{_datadir}/applications/*



%changelog
* Tue Aug 30 2005 John Mahowald <jpmahowald@gmail.com> - 0.7.5-3
- Move to /usr/share

* Tue Jun 28 2005 Sindre Pedersen Bjordal <foolish[AT]fedoraforum.org> - 0.7.5-2
- Desktop-file-utils for kde desktop entry as well as default one.

* Wed Jun 08 2005 Sindre Pedersen Bjordal <foolish[AT]fedoraforum.org> - 0.7.5-1
- Rebuilt for 0.7.5

* Sun Jun 06 2005 Sindre Pedersen Bjordal <foolish[AT]fedoraforum.org> - 0.7.4-1
- Rebuilt for 0.7.4

* Wed Jun 01 2005 Sindre Pedersen Bjordal <foolish[AT]fedoraforum.org> - 0.7.1-1
- Rebuilt for 0.7.1
- Smeg now use the stock gnome menu icon, removed pixmaps from %files

* Wed Jun 01 2005 Sindre Pedersen Bjordal <foolish[AT]fedoraforum.org> - 0.7-2
- Added missing dependency gnome-python2-gconf

* Tue May 31 2005 Sindre Pedersen Bjordal <foolish[AT]fedoraforum.org> - 0.7-1
- Rebuilt for 0.7

* Mon May 30 2005 Sindre Pedersen Bjordal <foolish[AT]fedoraforum.org> - 0.6.2-2
- Added desktop-file-utils to Buildrequires
- Addded desktop-file-utils %post and %postun

* Sat May 29 2005 Sindre Pedersen Bjordal <foolish[AT]fedoraforum.org> - 0.6.2-1
- Rebuilt for 0.6.2

* Mon May 23 2005 Sindre Pedersen Bjordal <foolish[AT]fedoraforum.org> - 0.5-1
- Initial build
